# $Revision: 1.263.4.9 $, $Date: 2006/10/24 07:02:16 $
# TODO
# - test_distutils fails for unknown reason: (does it still do with new lib64 patch?)
#   AssertionError: '/tmp/tmpaomC0l/installation/share/python' != '/tmp/tmpaomC0l/installation/lib/python'
# - change searchpath order so /usr/lib* is before /usr/share
# - kill lib-tk from searchpath
# - kill BR: file requirement from lib64 patch
#
# Conditional build:
%bcond_without	info			# don't build info pages (requires emacs)
%bcond_without	tkinter			# disables tkinter module building
%bcond_without	tests			# disables Python testing
%bcond_with	verbose_tests		# runs tests in verbose mode
#
# tests which will not work on 64-bit platforms
%define		no64bit_tests	test_audioop test_rgbimg test_imageop
# tests which may fail because of builder environment limitations (no /proc or /dev/pts)
%define		nobuilder_tests test_resource test_openpty test_socket test_nis test_posix test_locale test_pty
# tests which fail because of some unknown/unresolved reason (this list should be empty)
%define		broken_tests test_anydbm test_bsddb test_re test_shelve test_whichdb test_zipimport test_distutils

%define py_ver		2.4
%define py_prefix	%{_prefix}
%define py_libdir	%{py_prefix}/%{_lib}/python%{py_ver}
%define py_incdir	%{_includedir}/python%{py_ver}
%define py_sitedir	%{py_libdir}/site-packages
%define py_dyndir	%{py_libdir}/lib-dynload

Summary:	Very high level scripting language with X interface
Summary(es):	Lenguaje script de alto nivel con interfaz X
Summary(fr):	Langage de script de trs haut niveau avec interface X
Summary(pl):	Python - jzyk obiektowy wysokiego poziomu
Summary(pt_BR):	Linguagem de programao interpretada de alto nvel
Summary(ru):	      X-
Summary(tr):	X arayzl, yksek dzeyli, kabuk yorumlayc dili
Summary(uk):	    Ҧ  X-
Name:		python
Version:	%{py_ver}.4
Release:	1
Epoch:		1
License:	PSF
Group:		Applications
Source0:	http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.bz2
# Source0-md5:	0ba90c79175c017101100ebf5978e906
Source1:	http://www.python.org/ftp/python/doc/%{version}/html-%{version}.tar.bz2
# Source1-md5:	21259033b5663533ed64b4592c6925e2
Source2:	%{name}-config
Patch0:		%{name}-readline.patch
Patch1:		%{name}-%{name}path.patch
Patch2:		%{name}-no_ndbm.patch
Patch3:		%{name}-ac_fixes.patch
Patch4:		%{name}-noarch_to_datadir.patch
Patch5:		%{name}-lib64.patch
Patch6:		%{name}-doc_path.patch
Patch7:		%{name}-info.patch
URL:		http://www.python.org/
BuildRequires:	autoconf
BuildRequires:	bzip2-devel
BuildRequires:	db-devel >= 4
%{?with_info:BuildRequires:	emacs >= 21}
BuildRequires:	expat-devel >= 1:1.95.7
BuildRequires:	file
BuildRequires:	gdbm-devel >= 1.8.3
BuildRequires:	gmp-devel >= 4.0
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-ext-devel >= 5.2
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel >= 5.0
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
%{?with_info:BuildRequires:	tetex-makeindex}
%{?with_tkinter:BuildRequires:	tix-devel >= 1:8.1.4-4}
%{?with_tkinter:BuildRequires:	tk-devel >= 8.4.3}
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	python-curses
Obsoletes:	python-gdbm
Obsoletes:	python-intl
Obsoletes:	python-xml
Obsoletes:	python-zlib
Obsoletes:	python2
Obsoletes:	python2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with verbose_tests}
%define test_flags -v -l -x
%else
%define test_flags -l -x
%endif

%ifarch alpha ia64 ppc64 sparc64 ppc64 %{x8664}
%define test_list %{nobuilder_tests} %{broken_tests} %{no64bit_tests}
%else
%define test_list %{nobuilder_tests} %{broken_tests}
%endif

%description
Python is an interpreted, interactive, object-oriented programming
language. It incorporates modules, exceptions, dynamic typing, very
high level dynamic data types, and classes. Python combines remarkable
power with very clear syntax. It has interfaces to many system calls
and libraries, as well as to various window systems, and is extensible
in C or C++. It is also usable as an extension language for
applications that need a programmable interface. Finally, Python is
portable: it runs on many brands of UNIX, on the Mac, and on PCs under
MS-DOS, Windows, Windows NT, and OS/2.

This package contains the Python binary.

%description -l de
Python ist eine interpretierte, interaktive, objektorientierte
Programmiersprache, vergleichbar zu Tcl, Perl, Scheme oder Java.
Python enthlt Module, Klassen, Exceptions, High-Level dynamische
Datentypen und dynamisches Typisieren. Python untersttzt Interfaces
zu vielen Systemaufrufen und Libraries, sowie verschiedene
Fenstersysteme (X11, Motif, Tk, Mac und MFC)

Programmierer knnen neue built-in-Module fr Python in C oder C++
schreiben. Python kann auch als Erweiterungssprache fr Applikationen
benutzt werden, die ein programmierbares Interface brauchen. Dieses
Paket enthlt die meisten Standard-Python-Module, und Module zum
Ansprechen von Tix (Tk-widget set) und RPM.

%description -l es
Python es un lenguaje de scripts interpretado orientado a objetos.
Contiene soporte para carga dinmica de objetos, clases, mdulos y
excepciones.

Es sencillo adicionar interfaces para nuevos sistemas de biblioteca a
travs de cdigo C, tornando Python fcil de usar en ambientes
particulares/personalizados. Este paquete Python incluye la mayora de
los mdulos padrn Python, junto con mdulos para crear interfaces
para el conjunto de componentes Tix para Tk y RPM.

%description -l fr
Python est un langage de script interprt et orient objet. Il gre
le chargement dynamique des objets, les classes, les modules et les
exceptions. L'ajout d'interfaces aux nouvelles bibliothques systmes
avec du code C est simple, ce qui rend Python facile  utiliser dans
des configs personnalises.

Ce paquetage Python contient la plupart des modules Python standards,
ainsi que ceux permettant l'interfaage avec les widgets Tix pour Tk
et RPM.

%description -l pl
Python jest interpretowanym, interaktywnym i zorientowanym obiektowo
jzykiem programowania. Jest modularny, obsuguje wyjtki, dynamiczne
typy, zaawansowane dynamiczne struktury danych i klasy. Python czy w
sobie due moliwoci i przejrzyst skadni. Posiada interfejsy do
wielu wywoa systemowych i bibliotek, w tym rwnie do rnych
bibliotek okienkowych. Moliwoci jego mona jeszcze rozszerza
poprzez odpowiednie moduy pisane w C lub C++. Python moe by rwnie
uyty jako element aplikacji, ktrym potrzebny jest interpreter do
skryptw. I wreszcie, Python jest wieloplatformowy, dziaa na wielu
odmianach UNIX-a, Macu oraz PC pod DOS-em, Windows, WindowsNT oraz
OS/2.

Ten pakiet zawiera binark Pythona.

%description -l pt_BR
Python  uma linguagem de scripts interpretada orientada a objetos.
Contm suporte para carga dinmica de objetos, classes, mdulos e
excees. Adicionar interfaces para novos sistemas de biblioteca
atravs de cdigo C  simples, tornando Python fcil de usar em
ambientes particulares/personalizados.

Este pacote Python inclui a maioria do mdulos padro Python, junto
com mdulos para interfaceamento para o conjunto de componentes Tix
para Tk e RPM.

%description -l ru
Python -  , - 
.     ,
,      (exceptions).
       
   C  Python     
 .

%description -l tr
Python, nesneye ynelik bir kabuk yorumlaycdr. Nesnelerin,
snflarn, modllerin ve aykr durumlarn dinamik yklenmelerine
destek verir. C koduyla birlikte kullanm son derece kolaydr. Bu
paket, standart Python birimlerinin ounun yansra Tk ve RPM iin
arayz birimlerini de ierir.

%description -l uk
Python -  , '-Ҧ  .
 Цդ ͦ  'Ԧ, , ̦  
 æ (exceptions).   Ӧ 
  ¦̦    צ C  Python 
    æ Ʀæ.

%package libs
Summary:	Python library
Summary(pl):	Biblioteka jzyka Python
Group:		Libraries/Python
# broken detection in rpm/pythondeps.sh
Provides:	python(abi) = %{py_ver}
# for compatibility with existing Ac packages
Provides:	python(bytecode) = %{py_ver}

%description libs
Python shared library and very essental modules for Python binary.

%description libs -l pl
Biblioteka wspdzielona jzyka Python oraz bardzo podstawowe moduy
dla Pythona.

%package modules
Summary:	Python modules
Summary(pl):	Moduy jzyka Python
Group:		Libraries/Python
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	python-logging
Obsoletes:	python-optik
Obsoletes:	python-xmlrpc <= 1.0.1

%description modules
Python officially distributed modules.

%description modules -l pl
Oficjalnie rozprowadzane moduy jzyka Python.

%package -n pydoc
Summary:	Python interactive module documentation access support
Summary(pl):	Interaktywne korzystanie z dokumentacji moduw jzyka Python
Group:		Applications
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Obsoletes:	python-pydoc

%description -n pydoc
Python interactive module documentation access support.

%description -n pydoc -l pl
Interaktywne korzystanie z dokumentacji moduw jzyka Python.

%package -n idle
Summary:	IDE for Python language
Summary(pl):	IDE dla jzyka Python
Group:		Applications
Requires:	%{name}-tkinter = %{epoch}:%{version}-%{release}
Obsoletes:	python-idle

%description -n idle
IDE for Python language.

%description -n idle -l pl
IDE dla jzyka Python.

%package devel
Summary:	Libraries and header files for building python code
Summary(de):	Libraries und Header-Dateien zum Erstellen von Python-Code
Summary(es):	Bibliotecas y archivos de inclusin para construir programas en python
Summary(fr):	Bibliothques et en-ttes pour construire du code python
Summary(pl):	Pliki nagwkowe i biblioteki Pythona
Summary(pt_BR):	Bibliotecas e arquivos de incluso para o Python
Summary(ru):	        Python
Summary(tr):	Python ile gelitirme yapmak iin gerekli dosyalar
Summary(uk):	̦      צ Python
Group:		Development/Languages/Python
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
The Python interpreter is relatively easy to extend with dynamically
loaded extensions and to embed in other programs. This package
contains the header files and libraries which are needed to do both of
these tasks.

%description devel -l de
Der Python-Interpretierer ist relativ einfach anhand von dynamisch
ladbaren Erweiterungen auszubauen und lt sich in andere Programme
integrieren. Dieses Paket enthlt die Header-Dateien und Libraries,
die fr beide Aufgaben erforderlich sind.

%description devel -l es
El interpretador Python permite incluir con facilidad extensiones
cargadas dinmicamente. Python es tambin fcil de ser empotrado en
otros programas. Este paquete contiene los archivos de inclusin y
bibliotecas necesarios para estas dos tareas.

%description devel -l fr
L'interprteur Python est relativement facile  tendre avec des
extensions charges dynamiquement et  insrer dans d'autres
programmes. Ce paquetage contient les en-ttes et les bibliothques
ncessaires  ces deux tches.

%description devel -l pl
Interpreter Pythona jest w miar atwy do rozszerzania przy pomocy
dynamicznie adowanych rozszerze napisanych w C lub C++ oraz
osadzania w innych programach. Ten pakiet zawiera pliki nagwkowe i
wszystko inne co potrzebne do tych celw.

%description devel -l pt_BR
O interpretador Python permite incluir com facilidade extenses
carregadas dinamicamente. Python  tambm fcil de ser embutido em
outros programas. Este pacote contm os arquivos de incluso e
bibliotecas necessrios para estas duas tarefas.

%description devel -l ru
 Python     
       .
     ,    
.

%description devel -l tr
Bu paket, Python ile gelitirme yaplabilmesi iin gerekli balk
dosyalarn ve kitaplklar ierir.

%description devel -l uk
 Python צ    
  ͦ   դ  ۦ . 
 ͦ   ¦̦, ȦΦ    .

%package devel-src
Summary:	Python module sources
Summary(pl):	Pliki rdowe moduw Pythona
Group:		Development/Languages/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description devel-src
Python module sources.

%description devel-src -l pl
Pliki rdowe moduw Pythona.

%package devel-tools
Summary:	Python development tools
Summary(pl):	Narzdzia programistyczne jzyka Python
Group:		Development/Languages/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description devel-tools
Python development tools such as profilers and debugger.

%description devel-tools -l pl
Narzdzia programistyczne jzyka Python takie jak profiler oraz
debugger.

%package static
Summary:	Static python library
Summary(pl):	Statyczna biblioteka Pythona
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static python library.

%description static -l pl
Statyczna biblioteka Pythona.

%package doc
Summary:	Documentation on Python
Summary(de):	Dokumentation zu Python
Summary(es):	Documentacin para Python
Summary(fr):	Documentation sur Python
Summary(pl):	Dokumentacja do Pythona
Summary(pt_BR):	Documentao para a linguagem de programao Python
Summary(ru):	   Python
Summary(tr):	Python belgeleri
Summary(uk):	æ  צ Python
Group:		Documentation
Obsoletes:	python-docs

%description doc
This package contains documentation on the Python language and
interpretor as a mix of plain ASCII files and LaTeX sources.

%description doc -l de
Dieses Paket enthlt Dokumentationen zu Python (Sprache und
Interpreter) in Form von einfachen ASCII-Dateien und LaTeX-Quellen.

%description doc -l es
Documentacin para Python. Contiene archivos en texto y PostScript.

%description doc -l fr
Ce paquetage contient la documentation sur le langage python et sur
son interprteur sous forme de fichiers ASCII et LaTeX.

%description doc -l pl
Oficjalna dokumentacja do Pythona. Zawiera przykadowe programy,
narzdzia i dokumentacj. Strony podrcznika man znajduj si w
gwnym pakiecie. Ten pakiet nie zawiera rde dokumentacji
napisanych w LaTeXu, tylko gotowe do wykorzystania pliki postscriptowe
i HTML.

%description doc -l pt_BR
O pacote python-doc contm documentao para a linguagem de
programao e para o interpretador Python. Fornecida em arquivos texto
e Postcript.

%description doc -l ru
       Python  
        
    LaTeX.

%description doc -l tr
Bu paket, Python dili ile ilgili belgeleri ve dz ASCII dosyalar ve
LaTeX kaynaklarnn bir karm olan yorumlaycy ierir.

%description doc -l uk
  ͦ æ   צ Python   
   Ħ   ̦  Ȧ
Ԧ  Ԧ LaTeX.

%package doc-info
Summary:	Documentation on Python in texinfo format
Summary(pl):	Dokumentacja do Pythona w formacie texinfo
Group:		Documentation

%description doc-info
Documentation on Python in texinfo format.

%description doc-info -l pl
Dokumentacja do Pythona w formacie texinfo.

%package tkinter
Summary:	Standard Python interface to the Tk GUI toolkit
Summary(de):	Grafische Tk-Schnittstelle fr Python
Summary(es):	Interfaz de GUI Tk para Python
Summary(fr):	Interface graphique Tk pour Python
Summary(pl):	Standardowy interfejs Pythona do biblioteki Tk
Summary(pt_BR):	Interface GUI Tk para Phyton
Summary(tr):	Python iin grafik kullanc arayz
Group:		Libraries/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	tcl >= 8.4.3
Requires:	tix >= 1:8.1.4-4
Requires:	tk >= 8.4.3
Obsoletes:	tkinter

%description tkinter
Standard Python interface to the Tk GUI toolkit.

%description tkinter -l de
Eine grafische Schnittstelle fr Python, basierend auf Tcl/Tk, und von
vielen Konfigurations-Tools genutzt.

%description tkinter -l es
Una interfaz grfica para Python, basada en Tcl/Tk, y usada por muchas
herramientas de configuracin.

%description tkinter -l fr
Interface graphique pour Python, base sur Tcl/Tk et utilise par
beaucoup des outils de configuration.

%description tkinter -l pl
Standardowy interfejs Pythona do biblioteki Tk.

%description tkinter -l pt_BR
Uma interface grfica para Python, baseada em Tcl/Tk, e usada por
muitas ferramentas de configurao.

%description tkinter -l ru
  (GUI)  Python,   Tcl/Tk.

%description tkinter -l tr
Python iin Tcl/Tk'ye dayal ve pek ok ayarlama arac tarafndan
kullanlan grafik bir arayzdr.

%description tkinter -l uk
Ʀ  (GUI)  Python,   Tcl/Tk.

%package old
Summary:	Deprecated Python modules
Summary(pl):	Nieaktualne moduy jzyka Python
Group:		Libraries/Python
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description old
Install this package when one of your program written in Python is old
as Miss Universum of 1918, who only you want to see... ooops, which
only you want to run.

%description old -l pl
Zainstaluj ten pakiet, wtedy kiedy jeden z Twoich programw napisanych
w jzyku Python jest tak stary jak Miss Universum z roku 1918, ktr
tylko ty chcesz zobaczy... przepraszam, ktry tylko ty chcesz
uruchomi.

%package examples
Summary:	Example programs in Python
Summary(pl):	Przykadowe programy w Pythonie
Group:		Development/Languages/Python
Obsoletes:	python-tools

%description examples
Example programs in Python.

These are for Python 2.3.4, not %{version}.

%description examples -l pl
Przykadowe programy w Pythonie.

Przykady te s dla Pythona 2.3.4, nie %{version}.

%prep
%setup -q -n Python-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1

tar -xf %{SOURCE1} --use=bzip2

%build
sed -i -e 's#-ltermcap#-ltinfo#g' configure*
%{__autoconf}
CPPFLAGS="-I/usr/include/ncurses"; export CPPFLAGS
%configure \
	--with-threads \
	--with-cxx="%{__cxx}" \
	--enable-unicode=ucs4 \
	--enable-shared \
	LINKCC='$(PURIFY) $(CXX)'

%{__make} \
	OPT="%{rpmcflags}"

LC_ALL=C
export LC_ALL
%if %{with tests}
binlibdir=`echo build/lib.*`
%{__make} test \
	TESTOPTS="%{test_flags} %{test_list}" \
	TESTPYTHON="LD_LIBRARY_PATH=`pwd` PYTHONHOME=`pwd` PYTHONPATH=`pwd`/Lib:$binlibdir ./python -tt"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{py_sitedir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with info}
./Doc/tools/getversioninfo
%{__make} -C Doc/info
install Doc/info/python*info* $RPM_BUILD_ROOT%{_infodir}
%endif

install Makefile.pre.in $RPM_BUILD_ROOT%{py_libdir}/config

mv $RPM_BUILD_ROOT{%{py_libdir}/config,%{_libdir}}/libpython%{py_ver}.a
ln -sf libpython%{py_ver}.a $RPM_BUILD_ROOT%{_libdir}/libpython.a
ln -sf libpython%{py_ver}.so.1.0 $RPM_BUILD_ROOT%{_libdir}/libpython.so
ln -sf libpython%{py_ver}.so.1.0 $RPM_BUILD_ROOT%{_libdir}/libpython%{py_ver}.so

rm -f $RPM_BUILD_ROOT%{_bindir}/python%{py_ver}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Tools Demo $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install %{SOURCE2}  $RPM_BUILD_ROOT%{_bindir}/python-config

SCRIPT_EXT=".py"
export SCRIPT_EXT

# create several useful scripts, such as timeit.py, profile.py, pdb.py, smtpd.py
for script in timeit profile pdb pstats smtpd; do
    cat <<END > $RPM_BUILD_ROOT%{_bindir}/${script}$SCRIPT_EXT
#!/bin/sh
exec %{__python} %{py_scriptdir}/${script}.pyc \${1:+"\$@"}
END
done

# xgettext specific for Python code
install Tools/i18n/pygettext.py $RPM_BUILD_ROOT%{_bindir}/pygettext$SCRIPT_EXT

# just to cut the noise, as they are not packaged (now)
rm -rf $RPM_BUILD_ROOT%{py_scriptdir}/test
rm -f $RPM_BUILD_ROOT%{py_scriptdir}/plat-*/regen

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post doc-info
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun doc-info
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/python
%{_mandir}/man1/*

%files modules
%defattr(644,root,root,755)
%exclude %{py_scriptdir}/UserDict.py[co]
%exclude %{py_scriptdir}/codecs.py[co]
%exclude %{py_scriptdir}/copy_reg.py[co]
%exclude %{py_scriptdir}/locale.py[co]
%exclude %{py_scriptdir}/posixpath.py[co]
%exclude %{py_scriptdir}/pdb.py[co]
%exclude %{py_scriptdir}/profile.py[co]
%exclude %{py_scriptdir}/pstats.py[co]
%exclude %{py_scriptdir}/pydoc.py[co]
%exclude %{py_scriptdir}/site.py[co]
%exclude %{py_scriptdir}/stat.py[co]
%exclude %{py_scriptdir}/timeit.py[co]
%exclude %{py_scriptdir}/os.py[co]
%exclude %{py_scriptdir}/encodings/*.py[co]
%exclude %{py_scriptdir}/types.py[co]

%{py_scriptdir}/*.py[co]

#
# list .so modules to be sure that all of them are built
#

# three modules below does not work on 64-bit architectures
# see Python README file for explanation
%ifnarch alpha ia64 ppc64 sparc64 %{x8664}
%attr(755,root,root) %{py_dyndir}/audioop.so
%attr(755,root,root) %{py_dyndir}/rgbimg.so
%attr(755,root,root) %{py_dyndir}/imageop.so
# sizeof(long) != sizeof(int), so dl module will not be built on 64-bit
# platforms
%attr(755,root,root) %{py_dyndir}/dl.so
%endif

%attr(755,root,root) %{py_dyndir}/_bisect.so
%attr(755,root,root) %{py_dyndir}/_bsddb.so
%attr(755,root,root) %{py_dyndir}/_codecs_cn.so
%attr(755,root,root) %{py_dyndir}/_codecs_hk.so
%attr(755,root,root) %{py_dyndir}/_codecs_iso2022.so
%attr(755,root,root) %{py_dyndir}/_codecs_jp.so
%attr(755,root,root) %{py_dyndir}/_codecs_kr.so
%attr(755,root,root) %{py_dyndir}/_codecs_tw.so
%attr(755,root,root) %{py_dyndir}/_csv.so
%attr(755,root,root) %{py_dyndir}/_curses.so
%attr(755,root,root) %{py_dyndir}/_curses_panel.so
%attr(755,root,root) %{py_dyndir}/_heapq.so
%attr(755,root,root) %{py_dyndir}/_locale.so
%attr(755,root,root) %{py_dyndir}/_multibytecodec.so
%attr(755,root,root) %{py_dyndir}/_random.so
%attr(755,root,root) %{py_dyndir}/_socket.so
%attr(755,root,root) %{py_dyndir}/_ssl.so
%attr(755,root,root) %{py_dyndir}/_testcapi.so
%attr(755,root,root) %{py_dyndir}/_weakref.so
%attr(755,root,root) %{py_dyndir}/array.so
%attr(755,root,root) %{py_dyndir}/binascii.so
%attr(755,root,root) %{py_dyndir}/bz2.so
%attr(755,root,root) %{py_dyndir}/cPickle.so
%attr(755,root,root) %{py_dyndir}/cStringIO.so
%attr(755,root,root) %{py_dyndir}/cmath.so
%attr(755,root,root) %{py_dyndir}/collections.so
%attr(755,root,root) %{py_dyndir}/crypt.so
%attr(755,root,root) %{py_dyndir}/datetime.so
%ifnarch sparc64
%attr(755,root,root) %{py_dyndir}/dbm.so
%endif
%attr(755,root,root) %{py_dyndir}/fcntl.so
%attr(755,root,root) %{py_dyndir}/gdbm.so
%attr(755,root,root) %{py_dyndir}/grp.so
%attr(755,root,root) %{py_dyndir}/itertools.so
%attr(755,root,root) %{py_dyndir}/linuxaudiodev.so
%attr(755,root,root) %{py_dyndir}/math.so
%attr(755,root,root) %{py_dyndir}/md5.so
%attr(755,root,root) %{py_dyndir}/mmap.so
%attr(755,root,root) %{py_dyndir}/nis.so
%attr(755,root,root) %{py_dyndir}/operator.so
%attr(755,root,root) %{py_dyndir}/ossaudiodev.so
%attr(755,root,root) %{py_dyndir}/parser.so
%attr(755,root,root) %{py_dyndir}/pyexpat.so
%attr(755,root,root) %{py_dyndir}/readline.so
%attr(755,root,root) %{py_dyndir}/regex.so
%attr(755,root,root) %{py_dyndir}/resource.so
%attr(755,root,root) %{py_dyndir}/select.so
%attr(755,root,root) %{py_dyndir}/sha.so
%attr(755,root,root) %{py_dyndir}/strop.so
%attr(755,root,root) %{py_dyndir}/syslog.so
%attr(755,root,root) %{py_dyndir}/termios.so
%attr(755,root,root) %{py_dyndir}/time.so
%attr(755,root,root) %{py_dyndir}/timing.so
%attr(755,root,root) %{py_dyndir}/unicodedata.so
%attr(755,root,root) %{py_dyndir}/zlib.so

%dir %{py_scriptdir}/plat-*
%{py_scriptdir}/plat-*/*.py[co]

%dir %{py_scriptdir}/bsddb
%{py_scriptdir}/bsddb/*.py[co]

%dir %{py_scriptdir}/compiler
%{py_scriptdir}/compiler/*.py[co]

%dir %{py_scriptdir}/curses
%{py_scriptdir}/curses/*.py[co]

%dir %{py_scriptdir}/distutils
%{py_scriptdir}/distutils/*.py[co]

%dir %{py_scriptdir}/distutils/command
%{py_scriptdir}/distutils/command/*.py[co]

%dir %{py_scriptdir}/email
%{py_scriptdir}/email/*.py[co]

%dir %{py_scriptdir}/logging
%{py_scriptdir}/logging/*.py[co]

%dir %{py_scriptdir}/xml
%{py_scriptdir}/xml/*.py[co]

%dir %{py_scriptdir}/xml/parsers
%{py_scriptdir}/xml/parsers/*.py[co]

%dir %{py_scriptdir}/xml/sax
%{py_scriptdir}/xml/sax/*.py[co]

%dir %{py_scriptdir}/xml/dom
%{py_scriptdir}/xml/dom/*.py[co]

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpython*.so.*

%dir %{py_dyndir}
%dir %{py_scriptdir}
%dir %{py_libdir}
%dir %{py_sitescriptdir}
%dir %{py_sitedir}

# shared modules required by python library
%attr(755,root,root) %{py_dyndir}/struct.so

# modules required by python library
%{py_scriptdir}/UserDict.py[co]
%{py_scriptdir}/codecs.py[co]
%{py_scriptdir}/copy_reg.py[co]
%{py_scriptdir}/locale.py[co]
%{py_scriptdir}/posixpath.py[co]
%{py_scriptdir}/site.py[co]
%{py_scriptdir}/stat.py[co]
%{py_scriptdir}/os.py[co]
# needed by the dynamic sys.lib patch
%{py_scriptdir}/types.py[co]

# encodings required by python library
%dir %{py_scriptdir}/encodings
%{py_scriptdir}/encodings/*.py[co]

%files -n pydoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pydoc
%{py_scriptdir}/pydoc.py[co]

%files -n idle
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/idle
%dir %{py_scriptdir}/idlelib
%dir %{py_scriptdir}/idlelib/Icons
%{py_scriptdir}/idlelib/*.py[co]
%{py_scriptdir}/idlelib/Icons/*
%{py_scriptdir}/idlelib/*.def

%files devel
%defattr(644,root,root,755)
%doc Misc/{ACKS,NEWS,README}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_bindir}/python-config
%dir %{py_incdir}
%{py_incdir}/*.h

%dir %{py_libdir}/config
%attr(755,root,root) %{py_libdir}/config/makesetup
%attr(755,root,root) %{py_libdir}/config/install-sh
%{py_libdir}/config/Makefile
%{py_libdir}/config/Makefile.pre.in
%{py_libdir}/config/Setup
%{py_libdir}/config/Setup.config
%{py_libdir}/config/Setup.local
%{py_libdir}/config/config.c
%{py_libdir}/config/config.c.in
%{py_libdir}/config/ccpython.o

%files devel-src
%defattr(644,root,root,755)
%attr(-,root,root) %{py_scriptdir}/*.py
%{py_scriptdir}/plat-*/*.py
%{py_scriptdir}/bsddb/*.py
%{py_scriptdir}/compiler/*.py
%{py_scriptdir}/curses/*.py
%{py_scriptdir}/distutils/*.py
%{py_scriptdir}/distutils/command/*.py
%{py_scriptdir}/email/*.py
%{py_scriptdir}/hotshot/*.py
%{py_scriptdir}/logging/*.py
%{py_scriptdir}/xml/*.py
%{py_scriptdir}/xml/parsers/*.py
%{py_scriptdir}/xml/sax/*.py
%{py_scriptdir}/xml/dom/*.py
%{py_scriptdir}/encodings/*.py
%{py_scriptdir}/idlelib/*.py

%files devel-tools
%defattr(644,root,root,755)
%doc Lib/profile.doc Lib/pdb.doc
%attr(755,root,root) %{_bindir}/timeit*
%attr(755,root,root) %{_bindir}/profile*
%attr(755,root,root) %{_bindir}/pdb*
%attr(755,root,root) %{_bindir}/pstats*
%attr(755,root,root) %{_bindir}/pygettext*
%attr(755,root,root) %{_bindir}/smtpd*

%attr(755,root,root) %{py_dyndir}/_hotshot.so
%dir %{py_scriptdir}/hotshot
%{py_scriptdir}/hotshot/*.py[co]
%{py_scriptdir}/pdb.py[co]
%{py_scriptdir}/profile.py[co]
%{py_scriptdir}/pstats.py[co]
%{py_scriptdir}/timeit.py[co]

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files doc
%defattr(644,root,root,755)
%doc Python-Docs-%{version}/*

%if %{with info}
%files doc-info
%defattr(644,root,root,755)
%{_infodir}/*
%endif

%if %{with tkinter}
%files tkinter
%defattr(644,root,root,755)
%{py_scriptdir}/lib-tk
%attr(755,root,root) %{py_dyndir}/_tkinter.so
%endif

%files old
%defattr(644,root,root,755)
%dir %{py_scriptdir}/lib-old
%{py_scriptdir}/lib-old/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python.spec,v $
Revision 1.263.4.9  2006/10/24 07:02:16  arekm
- up to 2.4.4

Revision 1.263.4.8  2006/10/06 07:20:08  matkor
- Release 6. Fix works for me. Pls STBR for AC.

Revision 1.263.4.7  2006/10/05 23:53:30  matkor
- Fix for recv/send freeze when more 1k sockets are used
  https://sourceforge.net/tracker/?func=detail&atid=105470&aid=1494314&group_id=5470

Revision 1.263.4.6  2006/09/30 09:45:22  twittner
- -info.patch 1.5 ver. (AC-branch moved)
- generate pathclevel.texi (call ./Doc/tools/getversioninfo)

Revision 1.263.4.5  2006/09/15 14:48:31  glen
- add python-config to -devel; rel 4

Revision 1.263.4.4  2006/05/15 17:18:49  hawk
- release 3

Revision 1.263.4.3  2006/05/15 13:27:35  atler
- fix memory alignment bug on sparc

Revision 1.263.4.2  2006/04/19 19:58:28  atler
- fix curses module

Revision 1.263.4.1  2006/04/08 17:57:47  twittner
- fixed info (added dircategory, direntry, menu, proper
  indentation for info)
- rel. 2, STBR Ac

Revision 1.263  2006/03/30 20:39:51  arekm
- up to 2.4.3

Revision 1.262  2006/03/27 16:43:37  twittner
- add bcond_without info - allow to build Python without BR: emacs

Revision 1.261  2006/03/26 13:16:17  twittner
- keep BRs in alphabetical order

Revision 1.260  2006/03/26 13:01:37  twittner
- added python info pages as separate subpackage

Revision 1.259  2006/03/03 18:42:34  wrobell
- rel. 6 due to fixes in lib64 patch

Revision 1.258  2006/03/03 17:21:54  wrobell
- include docs directly in docdir

Revision 1.257  2006/02/18 21:25:10  wolf
- rel 5

Revision 1.256  2006/02/17 23:47:10  wolf
- cut changelog

Revision 1.255  2006/02/03 16:43:02  glen
- restored r1.120 (in slightly modified form), which got lost in merge from DEVEL at 1.215

Revision 1.254  2006/02/02 10:49:57  qboosh
- updated pl for base,-libs,-modules

Revision 1.253  2006/02/01 22:43:02  glen
- updated descriptions, hopefully correctly

Revision 1.252  2006/02/01 15:00:39  glen
- rel 4 (no complaints), STBR

Revision 1.251  2006/01/26 11:04:14  glen
- really expand

Revision 1.250  2006/01/26 10:47:45  glen
- $script needs to be expanded (thx wrobell)

Revision 1.249  2006/01/26 00:06:26  glen
- use dynamic sys.lib patch.
  now possible to have -libs package from athlon and amd64 while searchpath stays correct

Revision 1.248  2006/01/25 23:49:42  glen
- regen unuseful to package

Revision 1.247  2006/01/25 22:13:34  glen
- rm -rf %{py_scriptdir}/test to cut down check-files noise

Revision 1.246  2006/01/25 22:05:58  glen
- BR rpm-pythonprov

Revision 1.245  2006/01/25 21:57:06  glen
- adapterized

Revision 1.244  2005/12/15 20:16:14  twittner
- removed bogus requires from doc & examples subpkg (you don't need python
  interpreter for reading docs or watching examples)
- removed trash from %files doc

Revision 1.243  2005/12/14 23:07:30  arekm
- rel 3; fixes hangs on ssl socket read()s when using nonblocking/timeout

Revision 1.242  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.241  2005/11/22 16:51:46  pluto
- db4.4 support, release 2.1.

Revision 1.240  2005/11/03 19:25:10  arekm
- rel 2; just drop smtplib patch
